Bug 1764443 (CVE-2019-11762) - CVE-2019-11762 Mozilla: document.domain-based origin isolation has same-origin-property violation
Summary: CVE-2019-11762 Mozilla: document.domain-based origin isolation has same-origi...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-11762
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1763562 1764938 1763558 1763559 1763560 1763561 1763563 1764206 1764937 1764939 1764940 1764941 1764942
Blocks: 1763556
TreeView+ depends on / blocked
 
Reported: 2019-10-23 05:40 UTC by Doran Moppert
Modified: 2020-03-31 05:22 UTC (History)
5 users (show)

Fixed In Version: firefox 68.2, thunderbird 68.2
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Mozilla's firefox and thunderbird where if two same-origin documents set document.domain differently to become cross-origin, it was possible for them to call arbitrary DOM methods/getters/setters on the now-cross-origin window. This could cause an interaction between two different sites on two different windows running under the same application.
Clone Of:
Environment:
Last Closed: 2019-10-25 00:51:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3193 None None None 2019-10-23 14:00:49 UTC
Red Hat Product Errata RHSA-2019:3196 None None None 2019-10-24 08:24:50 UTC
Red Hat Product Errata RHSA-2019:3210 None None None 2019-10-29 09:49:11 UTC
Red Hat Product Errata RHSA-2019:3237 None None None 2019-10-29 13:47:06 UTC
Red Hat Product Errata RHSA-2019:3281 None None None 2019-10-31 14:08:21 UTC
Red Hat Product Errata RHSA-2019:3756 None None None 2019-11-06 17:08:35 UTC

Description Doran Moppert 2019-10-23 05:40:29 UTC
If two same-origin documents set document.domain differently to become cross-origin, it was possible for them to call arbitrary DOM methods/getters/setters on the now-cross-origin window.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-33/#CVE-2019-11762

Comment 1 Doran Moppert 2019-10-23 05:40:31 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Kris Maglione

Comment 2 errata-xmlrpc 2019-10-23 14:00:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3193 https://access.redhat.com/errata/RHSA-2019:3193

Comment 3 errata-xmlrpc 2019-10-24 08:24:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3196 https://access.redhat.com/errata/RHSA-2019:3196

Comment 4 Product Security DevOps Team 2019-10-25 00:51:40 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-11762

Comment 5 errata-xmlrpc 2019-10-29 09:49:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3210 https://access.redhat.com/errata/RHSA-2019:3210

Comment 6 errata-xmlrpc 2019-10-29 13:47:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3237 https://access.redhat.com/errata/RHSA-2019:3237

Comment 7 errata-xmlrpc 2019-10-31 14:08:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:3281 https://access.redhat.com/errata/RHSA-2019:3281

Comment 8 errata-xmlrpc 2019-11-06 17:08:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:3756 https://access.redhat.com/errata/RHSA-2019:3756


Note You need to log in before you can comment on or make changes to this bug.